Author Topic: multi extend at one time  (Read 19919 times)

0 Members and 1 Guest are viewing this topic.

Kerry

  • Mesozoic relic
  • Seagull
  • Posts: 11654
  • class keyThumper<T>:ILazy<T>
Re: multi extend at one time
« Reply #15 on: February 13, 2008, 04:28:28 AM »

Yes, very nice Ron !
kdub, kdub_nz in other timelines.
Perfection is not optional.
Everything will work just as you expect it to, unless your expectations are incorrect.
Discipline: None at all.

Joe Burke

  • Guest
Re: multi extend at one time
« Reply #16 on: February 13, 2008, 07:19:28 AM »
Ron,

I guess I should mention this, which you probably already know. I think the fix you applied was to temporarily close an open pline. This may cause a line to be broken at the temporary closing segment which doesn't make sense once the pline is set back to open and the routine ends.

I'll post an example if this isn't clear.

ronjonp

  • Needs a day job
  • Posts: 7526
Re: multi extend at one time
« Reply #17 on: February 13, 2008, 09:28:43 AM »

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC

xiaxiang

  • Guest
Re: multi extend at one time
« Reply #18 on: November 11, 2010, 10:31:55 PM »
A little late to the show, but here is my contribution to do multiple boundaries:
Code: [Select]
(defun c:mextend (/ ang c d1 d2 e l lines lwp lyr pl ptlst pts ss)
  )
ronjonp ,Need your help
I've loaded your routine"mextend",But it didn't work.
Is there Any Operational errors?

ronjonp

  • Needs a day job
  • Posts: 7526
Re: multi extend at one time
« Reply #19 on: November 11, 2010, 11:13:40 PM »
A little late to the show, but here is my contribution to do multiple boundaries:
Code: [Select]
(defun c:mextend (/ ang c d1 d2 e l lines lwp lyr pl ptlst pts ss)
  )
ronjonp ,Need your help
I've loaded your routine"mextend",But it didn't work.
Is there Any Operational errors?

xiaxiang,

Download the code again and try it .... I'm not sure why it ever worked in the first place  :oops:

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC

xiaxiang

  • Guest
Re: multi extend at one time
« Reply #20 on: November 12, 2010, 12:38:23 AM »
A little late to the show, but here is my contribution to do multiple boundaries:
Code: [Select]
(defun c:mextend (/ ang c d1 d2 e l lines lwp lyr pl ptlst pts ss)
  )
ronjonp ,Need your help
I've loaded your routine"mextend",But it didn't work.
Is there Any Operational errors?
xiaxiang,Download the code again and try it .... I'm not sure why it ever worked in the first place  :oops:
Mr Ninja
I try my best again and again .Anxious,and I can't use your code.woking with 2006,maybe version?

ronjonp

  • Needs a day job
  • Posts: 7526
Re: multi extend at one time
« Reply #21 on: November 12, 2010, 10:13:25 AM »
Are the objects you're trying to extend lines? What errors are you seeing?

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC

cmwade77

  • Swamp Rat
  • Posts: 1443
Re: multi extend at one time
« Reply #22 on: November 12, 2010, 11:23:25 AM »
Ron,

I noticed that the results change to layer 0, shouldn't this check to see what layer the lines are drawn on, as well as what color, to match them? Just a thought, but very cool routine.

Edit: Actually, it was the color, if it is hard coded that would change.
« Last Edit: November 12, 2010, 11:49:49 AM by cmwade77 »

ronjonp

  • Needs a day job
  • Posts: 7526
Re: multi extend at one time
« Reply #23 on: November 12, 2010, 11:34:59 AM »
Ron,

I noticed that the results change to layer 0, shouldn't this check to see what layer the lines are drawn on, as well as what color, to match them? Just a thought, but very cool routine.

I can't duplicate your results?

Code: [Select]
(while ptlst
  (entmakex (list '(0 . "LINE")
  (cons 8 lyr)
  (cons 10 (car ptlst))
  (cons 11 (cadr ptlst))
    )
  )
  (setq ptlst (cddr ptlst))
)

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC

ronjonp

  • Needs a day job
  • Posts: 7526
Re: multi extend at one time
« Reply #24 on: November 18, 2010, 11:33:07 AM »
cmwade77,

Did you get the layer issue sorted out?

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC

cmwade77

  • Swamp Rat
  • Posts: 1443
Re: multi extend at one time
« Reply #25 on: November 18, 2010, 12:55:41 PM »
Yes, it turned out the layer wasn't changing, but the color (hard coded was).

xiaxiang

  • Guest
Re: multi extend at one time
« Reply #26 on: November 25, 2010, 08:07:21 AM »
Are the objects you're trying to extend lines? What errors are you seeing?
I have two questions:
1.Did it take all the "LWPOLYLINE,LINE,SPLINE,CIRCLE" that have been selected as multiple boundaries when I extend the lines? Or if there were some system variables that I can set the extend option of boundaries to "all"? So everything is boundary.
2. Did i have  included "trim" and "extend" inside in this routine?
Thanks!

ronjonp

  • Needs a day job
  • Posts: 7526
Re: multi extend at one time
« Reply #27 on: November 27, 2010, 10:45:06 PM »
I'm not sure I understand your questions. Can you post a sample drawing with the desired results?

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC

xiaxiang

  • Guest
Re: multi extend at one time
« Reply #28 on: November 29, 2010, 01:14:01 AM »
I'm not sure I understand your questions. Can you post a sample drawing with the desired results?
At first,feeling so sorry foy my bad EN. :oops:
I just want the result like this(see attached) ,and when I use your mextend.lsp......
Code: [Select]
(defun c:mextend (/ ang c e lines lwp lyr ptlst pts ss)It have been Shown as the Effect like "x1.gif".
I think that there is some matter with multi extend boundaries which selected.
Help!and this is a sample

« Last Edit: November 29, 2010, 01:29:46 AM by xiaxiang »

ronjonp

  • Needs a day job
  • Posts: 7526
Re: multi extend at one time
« Reply #29 on: November 29, 2010, 01:24:29 PM »
I'm not sure I understand your questions. Can you post a sample drawing with the desired results?
At first,feeling so sorry foy my bad EN. :oops:
I just want the result like this(see attached) ,and when I use your mextend.lsp......
Code: [Select]
(defun c:mextend (/ ang c e lines lwp lyr ptlst pts ss)It have been Shown as the Effect like "x1.gif".
I think that there is some matter with multi extend boundaries which selected.
Help!and this is a sample


xiaxiang,

If you want the lines to be within the circles, don't included the polyline in your selection. Just select the circles and one line.

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC